#pragma once

#include <kernel/search_zone/protos/searchzone.pb.h>

namespace NRTYServer {

struct TSearchAttrLimits {
    static const size_t MAX_NAME_LENGTH;
    static const size_t MAX_TOTAL_LENGTH;
};

void ValidateSearchAttribute(const NRTYServer::TAttribute& attr);
void ValidateGroupAttribute(const NRTYServer::TAttribute& attr);

}
